<?php
/**
 * This file contains javascript code.
 *
 * @author  TrulyWP
 * @package wp-migration-trulywp/includes
 * @version 3.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} //exit if accessed directly.
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} else {
		?>
	</div>
	</div>
	</div>
	<script type="text/javascript">
	jQuery(".tooltips").tooltip_tip({placement: "right"});
	if (typeof (load_sidebar_content_migration_trulywp) !== "function")
	{
		function load_sidebar_content_migration_trulywp()
		{
			var menus_height = jQuery(".page-sidebar-menu-tech-migrator").height();
			var content_height = jQuery(".page-content").height() + 30;
			if (parseInt(menus_height) > parseInt(content_height))
			{
				jQuery(".page-content").attr("style", "min-height:" + menus_height + "px");
			} else
			{
				jQuery(".page-sidebar-menu-tech-migrator").attr("style", "min-height:" + content_height + "px");
			}
		}
	}
	jQuery(".page-sidebar-tech-migrator").on("click", "li > a", function (e)
	{
		var hasSubMenu = jQuery(this).next().hasClass("sub-menu");
		var parent = jQuery(this).parent().parent();
		var sidebar_menu = jQuery(".page-sidebar-menu-tech-migrator");
		var sub = jQuery(this).next();
		var slideSpeed = parseInt(sidebar_menu.data("slide-speed"));
		parent.children("li.open").children(".sub-menu:not(.always-open)").slideUp(slideSpeed);
		parent.children("li.open").removeClass("open");
		var sidebar_close = parent.children("li.open").removeClass("open");
		if (sidebar_close)
		{
			setInterval(load_sidebar_content_migration_trulywp, 100);
		}
		if (sub.is(":visible"))
		{
			jQuery(this).parent().removeClass("open");
			sub.slideUp(slideSpeed);
		} else if (hasSubMenu)
		{
			jQuery(this).parent().addClass("open");
			sub.slideDown(slideSpeed);
		}
	});
	var sidebar_load_interval = setInterval(load_sidebar_content_migration_trulywp, 1000);
	setTimeout(function ()
	{
		clearInterval(sidebar_load_interval);
	}, 5000);
	if (typeof (overlay_loading_migration_trulywp) !== "function")
	{
		function overlay_loading_migration_trulywp(control_id)
		{
			var overlay_opacity = jQuery("<div class=\"opacity_overlay\"></div>");
			jQuery("body").append(overlay_opacity);
			var overlay = jQuery("<div class=\"loader_opacity\"><div class=\"processing_overlay\"></div></div>");
			jQuery("body").append(overlay);
			if (control_id !== undefined)
			{
				switch (control_id)
				{
					case "alert_setup":
						var message = <?php echo wp_json_encode( $twp_update_settings ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "other_settings":
						var message = <?php echo wp_json_encode( $twp_update_settings ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "update_email_settings":
						var message = <?php echo wp_json_encode( $twp_update_settings ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "delete_migration":
						var message = <?php echo wp_json_encode( $twp_delete_migrations ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "update_ftp_settings":
						var message = <?php echo wp_json_encode( $twp_update_settings ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "dropbox_settings":
						var message = <?php echo wp_json_encode( $twp_update_settings ); ?>;
						var success = <?php echo wp_json_encode( $twp_success ); ?>;
						break;
					case "google_drive_settings":
						var message = <?php echo wp_json_encode( $twp_authenticating_google_drive_settings ); ?>;
						break;
					}
					var issuccessmessage = jQuery("#toast-container").exists();
					if (issuccessmessage !== true)
					{
						var shortCutFunction = jQuery("#manage_messages input:checked").val();
						toastr[shortCutFunction](message, success);
					}
				}
			}
		}
		function premium_edition_notification_migration_trulywp()
		{
				var premium_edition = <?php echo wp_json_encode( $twp_message_premium_edition ); ?>;
				var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
				toastr[shortCutFunction](premium_edition);
		}
		if (typeof (remove_overlay_migration_trulywp) !== "function")
		{
			function remove_overlay_migration_trulywp()
			{
				jQuery(".loader_opacity").remove();
				jQuery(".opacity_overlay").remove();
			}
		}
		if (typeof (open_popup_migration_trulywp) !== "function")
		{
			function open_popup_migration_trulywp()
			{
				jQuery("[data-popup-open]").on("click", function (e)
				{
					var targeted_popup_class = jQuery(this).attr("data-popup-open");
					jQuery('[data-popup="' + targeted_popup_class + '"]').fadeIn(350);
					e.preventDefault();
				});
				// Close popup
				jQuery("[data-popup-close]").on("click", function (e)
				{
					var targeted_popup_class = jQuery(this).attr("data-popup-close");
					jQuery('[data-popup="' + targeted_popup_class + '"]').fadeOut(350);
					e.preventDefault();
				});
				jQuery(document).keydown(function (e)
				{
					// ESCAPE key pressed
					if (e.keyCode === 27)
					{
						var targeted_popup_class = jQuery("[data-popup-close]").attr("data-popup-close");
						jQuery('[data-popup="' + targeted_popup_class + '"]').fadeOut(350);
					}
				});
			}
		}
		if (typeof (date) !== "function")
		{
			function date(format, timestamp)
			{
				var that = this, jsdate, f, formatChr = /\\?([a-z])/gi, formatChrCb,
				_pad = function (n, c)
				{
					n = n.toString();
					return n.length < c ? _pad('0' + n, c, '0') : n;
				},
				txt_words = ["Sun", "Mon", "Tues", "Wednes", "Thurs", "Fri", "Satur", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
				formatChrCb = function (t, s)
				{
					return f[t] ? f[t]() : s;
				};
				f =
				{
					d: function ()
					{
						return _pad(f.j(), 2);
					},
					D: function ()
					{
						return f.l().slice(0, 3);
					},
					j: function ()
					{
						return jsdate.getDate();
					},
					l: function ()
					{
						return txt_words[f.w()] + 'day';
					},
					N: function ()
					{
						return f.w() || 7;
					},
					S: function ()
					{
						var j = f.j(),
						i = j % 10;
						if (i <= 3 && parseInt((j % 100) / 10) === 1)
						i = 0;
						return ['st', 'nd', 'rd'][i - 1] || 'th';
					},
					w: function ()
					{
						return jsdate.getDay();
					},
					z: function ()
					{
						var a = new Date(f.Y(), f.n() - 1, f.j()),
						b = new Date(f.Y(), 0, 1);
						return Math.round((a - b) / 864e5);
					},
					W: function ()
					{
						var a = new Date(f.Y(), f.n() - 1, f.j() - f.N() + 3),
						b = new Date(a.getFullYear(), 0, 4);
						return _pad(1 + Math.round((a - b) / 864e5 / 7), 2);
					},
					F: function ()
					{
						return txt_words[6 + f.n()];
					},
					m: function ()
					{
						return _pad(f.n(), 2);
					},
					M: function ()
					{
						return f.F().slice(0, 3);
					},
					n: function ()
					{
						return jsdate.getMonth() + 1;
					},
					t: function ()
					{
						return (new Date(f.Y(), f.n(), 0)).getDate();
					},
					L: function ()
					{
						var j = f.Y();
						return j % 4 === 0 & j % 100 !== 0 | j % 400 === 0;
					},
					o: function ()
					{
						var n = f.n(),
						W = f.W(),
						Y = f.Y();
						return Y + (n === 12 && W < 9 ? 1 : n === 1 && W > 9 ? -1 : 0);
					},
					Y: function ()
					{
						return jsdate.getFullYear();
					},
					y: function ()
					{
						return f.Y().toString().slice(-2);
					},
					a: function ()
					{
						return jsdate.getHours() > 11 ? "pm" : "am";
					},
					A: function ()
					{
						return f.a().toUpperCase();
					},
					B: function ()
					{
						var H = jsdate.getUTCHours() * 36e2,
						i = jsdate.getUTCMinutes() * 60,
						s = jsdate.getUTCSeconds();
						return _pad(Math.floor((H + i + s + 36e2) / 86.4) % 1e3, 3);
					},
					g: function ()
					{
						return f.G() % 12 || 12;
					},
					G: function ()
					{
						return jsdate.getHours();
					},
					h: function ()
					{
						return _pad(f.g(), 2);
					},
					H: function ()
					{
						return _pad(f.G(), 2);
					},
					i: function ()
					{
						return _pad(jsdate.getMinutes(), 2);
					},
					s: function ()
					{
						return _pad(jsdate.getSeconds(), 2);
					},
					u: function ()
					{
						return _pad(jsdate.getMilliseconds() * 1000, 6);
					},
					I: function ()
					{
						var a = new Date(f.Y(), 0),
						c = Date.UTC(f.Y(), 0),
						b = new Date(f.Y(), 6),
						d = Date.UTC(f.Y(), 6);
						return ((a - c) !== (b - d)) ? 1 : 0;
					},
					O	: function ()
					{
						var tzo = jsdate.getTimezoneOffset(),
						a = Math.abs(tzo);
						return (tzo > 0 ? "-" : "+") + _pad(Math.floor(a / 60) * 100 + a % 60, 4);
					},
					T: function ()
					{
						return 'UTC';
					},
					Z: function ()
					{
						return -jsdate.getTimezoneOffset() * 60;
					},
					U: function ()
					{
						return jsdate / 1000 | 0;
					}
				};
				this.date = function (format, timestamp)
				{
					that = this;
					jsdate = (timestamp === undefined ? new Date() :
					(timestamp instanceof Date) ? new Date(timestamp) :
					new Date(timestamp * 1000)
				);
				return format.replace(formatChr, formatChrCb);
			};
			return this.date(format, timestamp);
		}
	}
	if (typeof (only_digits_when_paste_migration_trulywp) !== "function")
	{
		function only_digits_when_paste_migration_trulywp(control_id)
		{
			jQuery("#" + control_id).on("paste keypress", function (e)
			{
				var $this = jQuery("#" + control_id);
				setTimeout(function ()
				{
					$this.val($this.val().replace(/[^0-9]/g, ""));
				}, 5);
			});
		}
	}
	if (typeof (check_value_migration_trulywp) !== "function")
	{
		function check_value_migration_trulywp(id)
		{
			jQuery(id).val() === "" ? jQuery(id).val(0) : jQuery(id).val();
		}
	}
	if (typeof (base64_encode) !== "function")
	{
		function base64_encode(data)
		{
			var b64 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';
			var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
			ac = 0,
			enc = '',
			tmp_arr = [];
			if (!data)
			{
				return data;
			}
			do
			{
				o1 = data.charCodeAt(i++);
				o2 = data.charCodeAt(i++);
				o3 = data.charCodeAt(i++);
				bits = o1 << 16 | o2 << 8 | o3;
				h1 = bits >> 18 & 0x3f;
				h2 = bits >> 12 & 0x3f;
				h3 = bits >> 6 & 0x3f;
				h4 = bits & 0x3f;
				tmp_arr[ac++] = b64.charAt(h1) + b64.charAt(h2) + b64.charAt(h3) + b64.charAt(h4);
			} while (i < data.length);
			enc = tmp_arr.join('');
			var r = data.length % 3;
			return (r ? enc.slice(0, r - 3) : enc) + '==='.slice(r || 3);
		}
	}
	if (typeof (archive_name_migration_trulywp) !== "function")
	{
		function archive_name_migration_trulywp()
		{
			if (jQuery("#ux_ddl_migration_type").val() === "only_database")
			{
				var type_of_compression = jQuery("#ux_ddl_db_compression_type").val();
			} else
			{
				var type_of_compression = jQuery("#ux_ddl_file_compression_type").val();
			}
			var filename = jQuery("#ux_txt_archive_name").val();
			filename = filename.replace("%d", date("d"));
			filename = filename.replace("%j", date("j"));
			filename = filename.replace("%m", date("m"));
			filename = filename.replace("%n", date("n"));
			filename = filename.replace("%Y", date("Y"));
			filename = filename.replace("%y", date("y"));
			filename = filename.replace("%a", date("a"));
			filename = filename.replace("%A", date("A"));
			filename = filename.replace("%B", date("B"));
			filename = filename.replace("%g", date("g"));
			filename = filename.replace("%G", date("G"));
			filename = filename.replace("%h", date("h"));
			filename = filename.replace("%H", date("H"));
			filename = filename.replace("%i", date("i"));
			filename = filename.replace("%s", date("s"));
			filename = filename.replace("%W", date("W"));
			filename = filename.replace("%l", date("l"));
			filename = filename.replace("%D", date("D"));
			filename = filename.replace("%N", date("N"));
			filename = filename.replace("%S", date("S"));
			filename = filename.replace("%w", date("w"));
			filename = filename.replace("%z", date("z"));
			filename = filename.replace("%F", date("F"));
			filename = filename.replace("%M", date("M"));
			filename = filename.replace("%t", date("t"));
			filename = filename.replace("%L", date("L"));
			filename = filename.replace("%o", date("o"));
			filename = filename.replace("%u", date("u"));
			filename = filename.replace("%I", date("I"));
			filename = filename.replace("%O", date("O"));
			filename = filename.replace("%T", date("T"));
			filename = filename.replace("%Z", date("Z"));
			filename = filename.replace("%U", date("U"));
			jQuery("#archivename").html(backtrulywp_htmlspecialchars(filename, type_of_compression));
			jQuery("#archive_name_hidden").html(migrationtrulywp_removespecialchars(filename));
		}
	}
	backtrulywp_htmlspecialchars = function (string, type_of_compression)
	{
		var concate = string + type_of_compression;
		return concate;
	};
	migrationtrulywp_removespecialchars = function (string)
	{
		return string;
	};
	if (typeof (file_compression_migration_trulywp) !== "function")
	{
		function file_compression_migration_trulywp()
		{
			var string = jQuery("#archive_name_hidden").text();
			var compression_type = jQuery("#ux_ddl_file_compression_type").val();
			switch (compression_type)
			{
				case ".zip":
					type_of_compression = ".zip";
					break;
				case ".tar":
					type_of_compression = ".tar";
					break;
				case ".tar.gz":
					type_of_compression = ".tar.gz";
					break;
				case ".tar.bz2":
					type_of_compression = ".tar.bz2";
					break;
				}
				jQuery("#archivename").html(backtrulywp_htmlspecialchars(string, type_of_compression));
				load_sidebar_content_migration_trulywp();
		}
	}
	if (typeof (db_compression_migration_trulywp) !== "function")
	{
		function db_compression_migration_trulywp()
		{
			var database = jQuery("#ux_ddl_migration_type").val();
			var string = jQuery("#archive_name_hidden").text();
			var compression_type = jQuery("#ux_ddl_db_compression_type").val();
			if (database === "only_database")
			{
				switch (compression_type)
				{
					case ".sql":
						type_of_compression = ".sql";
						break;
					case ".sql.zip":
						type_of_compression = ".sql.zip";
						break;
					case ".sql.gz":
						type_of_compression = ".sql.gz";
						break;
					case ".sql.bz2":
						type_of_compression = ".sql.bz2";
						break;
				}
			}
			jQuery("#archivename").html(backtrulywp_htmlspecialchars(string, type_of_compression));
			load_sidebar_content_migration_trulywp();
		}
	}
	if (typeof (migration_type_migration_trulywp) !== "function")
	{
		function migration_type_migration_trulywp()
		{
			var string = jQuery("#archive_name_hidden").text();
			var type = jQuery("#ux_ddl_migration_type").val();
			var folder_location = jQuery("#ux_txt_migration_type").val();
			switch (type)
			{
				case "complete_migration":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "block");
					jQuery("#ux_div_migration_tables").css("display", "block");
					jQuery("#ux_txt_folder_location").val(folder_location + "/complete/");
					file_compression_migration_trulywp();
					break;
				case "only_database":
					jQuery("#ux_div_exclude_list").css("display", "none");
					jQuery("#ux_div_file_compression_type").css("display", "none");
					jQuery("#ux_div_db_compression_type").css("display", "block");
					jQuery("#ux_div_migration_tables").css("display", "block");
					jQuery("#ux_txt_folder_location").val(folder_location + "/database/");
					db_compression_migration_trulywp();
					break;
				case "only_filesystem":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "none");
					jQuery("#ux_div_migration_tables").css("display", "none");
					jQuery("#ux_txt_folder_location").val(folder_location + "/file-system/");
					file_compression_migration_trulywp();
					break;
				case "only_plugins_and_themes":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "none");
					jQuery("#ux_div_migration_tables").css("display", "none");
					jQuery("#ux_txt_folder_location").val(folder_location + "/plugin-themes/");
					file_compression_migration_trulywp();
					break;
				case "only_themes":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "none");
					jQuery("#ux_div_migration_tables").css("display", "none");
					jQuery("#ux_txt_folder_location").val(folder_location + "/themes/");
					file_compression_migration_trulywp();
					break;
				case "only_plugins":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "none");
					jQuery("#ux_div_migration_tables").css("display", "none");
					jQuery("#ux_txt_folder_location").val(folder_location + "/plugins/");
					file_compression_migration_trulywp();
					break;
				case "only_wp_content_folder":
					jQuery("#ux_div_exclude_list").css("display", "block");
					jQuery("#ux_div_file_compression_type").css("display", "block");
					jQuery("#ux_div_db_compression_type").css("display", "none");
					jQuery("#ux_div_migration_tables").css("display", "none");
					jQuery("#ux_txt_folder_location").val(folder_location + "/content/");
					file_compression_migration_trulywp();
					break;
			}
			load_sidebar_content_migration_trulywp();
		}
	}
	if (typeof (migration_destination_migration_trulywp) !== "function")
	{
		function migration_destination_migration_trulywp()
		{
			var destination_type = jQuery("input[name=ux_rdl_migration_destination_type]:checked").val();
			switch (destination_type)
			{
				case "local_folder":
					jQuery("#ux_div_migration_destination_local_folder").css("display", "block");
					migration_type_migration_trulywp();
					break;
				case "dropbox":
					jQuery("#ux_div_migration_destination_local_folder").css("display", "none");
					break;
				case "email":
					jQuery("#ux_div_migration_destination_local_folder").css("display", "none");
					break;
				case "ftp":
					jQuery("#ux_div_migration_destination_local_folder").css("display", "none");
					break;
				case "google_drive":
					jQuery("#ux_div_migration_destination_local_folder").css("display", "none");
					break;
			}
			load_sidebar_content_migration_trulywp();
		}
	}
	if (typeof (remove_progress_bar_migration_trulywp) !== "function")
	{
		function remove_progress_bar_migration_trulywp()
		{
			jQuery(".opacity_overlay").remove();
			jQuery(".progress-bar-position").remove();
		}
	}
	var count = 0;
	var progress_bar = "";
	if (typeof (progress_bar_message_migration_trulywp) !== "function")
	{
		function progress_bar_message_migration_trulywp(fileurl)
		{
			if (progress_bar === "")
			{
				d = new Date();
				var random_number = Math.floor((Math.random() * 100000000) + 1);
				random_number = d.getTime() + random_number;
				var url = fileurl + "?_=" + random_number;
				jQuery.getJSON(url, function (data)
				{
					try
					{
						jQuery("#information").html(data.log);
						if (data.cloud === 1 || data.cloud === "undefined" || data.cloud === null)
						{
							jQuery("#progress_status").css("width", data.perc + "%");
							jQuery("#progress_status").text(data.perc + "%");
						} else
						{
							jQuery("#progress_status").css("width", "100%");
							jQuery("#progress_status").text("100%");
							jQuery("#uploading_progress").removeClass("tech-migrator-counter");
							jQuery("#uploaded_status").css("width", data.perc + "%");
							jQuery("#uploaded_status").text(data.perc + "%");
						}
						if (data.status === "terminated" || data.status === "file_exists")
						{
							setTimeout(function ()
							{
								clearInterval(counter);
								setTimeout(function ()
								{
									var issuccessmessage = jQuery("#toast-container").exists();
									if (issuccessmessage !== true)
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_migration_terminated ); ?>);
									}
									progress_bar = "stop";
									remove_progress_bar_migration_trulywp();
									window.location.href = "admin.php?page=twp_manage_migrations";
								}, 3000);
							}, 5000);
						} else if (data.status === "completed_successfully")
						{
							setTimeout(function ()
							{
								clearInterval(counter);
								setTimeout(function ()
								{
									var issuccessmessage = jQuery("#toast-container").exists();
									if (issuccessmessage !== true)
									{
										var shortCutFunction = jQuery("#manage_messages input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_migration_generated_successfully ); ?>, <?php echo wp_json_encode( $twp_success ); ?>);
									}
									progress_bar = "stop";
									remove_progress_bar_migration_trulywp();
									window.location.href = "admin.php?page=twp_manage_migrations";
								}, 3000);
							}, 5000);
						} else if (data.status === "dropbox_migration_not_sent")
						{
							setTimeout(function ()
							{
								clearInterval(counter);
								setTimeout(function ()
								{
									var issuccessmessage = jQuery("#toast-container").exists();
									if (issuccessmessage !== true)
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_dropbox_migration_not_send ); ?>);
									}
									progress_bar = "stop";
									remove_progress_bar_migration_trulywp();
									window.location.href = "admin.php?page=twp_manage_migrations";
								}, 3000);
							}, 5000);
						} else if (data.status === "email_not_sent")
						{
							setTimeout(function ()
							{
								clearInterval(counter);
								setTimeout(function ()
								{
									var issuccessmessage = jQuery("#toast-container").exists();
									if (issuccessmessage !== true)
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_migration_email ); ?>);
									}
									progress_bar = "stop";
									remove_progress_bar_migration_trulywp();
									window.location.href = "admin.php?page=twp_manage_migrations";
								}, 3000);
							}, 5000);
						}
					} catch (e)
					{
					}
				});
			}
		}
	}
	if (typeof (progress_bar_counter_migration_trulywp) !== "function")
	{
		function progress_bar_counter_migration_trulywp(file_path)
		{
			count = count + 1;
			var secs = count % 60;
			var mins = Math.floor(count / 60) % 60;
			var hrs = Math.floor(count / 3600) % 60;
			jQuery("#ux_secs").html(secs < 10 ? "0" + secs : secs);
			jQuery("#ux_mins").html(mins < 10 ? "0" + mins : mins);
			if (hrs !== 0)
			{
				jQuery("#ux_hrs").removeClass("tech-migrator-counter");
				jQuery("#ux_collon").removeClass("tech-migrator-counter");
				jQuery("#ux_hrs").html(hrs < 10 ? "0" + hrs : hrs);
			} else
			{
				jQuery("#ux_hrs").addClass("tech-migrator-counter");
				jQuery("#ux_collon").addClass("tech-migrator-counter");
			}
			progress_bar_message_migration_trulywp(file_path);
		}
	}
	if (typeof (resize_progress_bar_migration_trulywp) !== "function")
	{
		function resize_progress_bar_migration_trulywp()
		{
			var width = jQuery(window).width();
			var heigth = jQuery(window).height();
			var myWindow = jQuery(".progress-bar-position");
			myWindow.show("fast");
			myWindow.offset(
				{
					left: (width - myWindow.width()) / 2 + jQuery(window).scrollLeft(),
					top: (heigth - myWindow.height()) / 2 + jQuery(window).scrollTop()
				});
			}
		}
		var counter = "";
		if (typeof (progress_bar_migration_trulywp) !== "function")
		{
			function progress_bar_migration_trulywp(file_path)
			{
				var overlay_opacity = jQuery("<div class=\"opacity_overlay\"></div>");
				jQuery("body").append(overlay_opacity);
				var progress_bar = jQuery("#ux_div_portlet_progress").clone().html();
				jQuery("body").append(progress_bar);
				jQuery("#ux_div_portlet_progress").remove();
				resize_progress_bar_migration_trulywp();
				counter = setInterval(progress_bar_counter_migration_trulywp, 1000, file_path);
			}
		}
		if (typeof (isUrlValid_migration_trulywp) !== "function")
		{
			function isUrlValid_migration_trulywp(url)
			{
				var value = jQuery("#" + url.id).val();
				var condition = /^(https?|s?ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(value);
				return condition;
			}
		}
		if (typeof (show_and_hide_migration_trulywp) !== "function")
		{
			function enable_and_disable_migration_trulywp(id, div_id)
			{
				switch (jQuery(id).val())
				{
					case "enable":
						jQuery(div_id).css("display", "block");
						break;
					case "disable" :
						jQuery(div_id).css("display", "none");
						break;
				}
			}
		}
		<?php
		if ( isset( $_GET['page'] ) ) {
			$page = sanitize_text_field( wp_unslash( $_GET['page'] ) );// WPCS: CSRF ok,WPCS: input var ok.
		}
		$check_migration_trulywp_wizard = get_option( 'migration-trulywp-wizard' );
		$page_url                 = false === $check_migration_trulywp_wizard ? 'twp_wizard_migration' : $page;
		if ( isset( $_GET['page'] ) ) { // WPCS: CSRF ok, input var ok.
			switch ( $page_url ) {
				case 'twp_start_migration':
					?>
					jQuery("#ux_twp_li_migrations").addClass("active");
					jQuery("#ux_twp_li_generate_manual_migration").addClass("active");
					<?php
					if ( '1' === MANUAL_MIGRATION_TRULYWP ) {
						?>
						jQuery(document).ready(function ()
						{
							archive_name_migration_trulywp();
							migration_type_migration_trulywp();
							migration_destination_migration_trulywp();
							load_sidebar_content_migration_trulywp();
							jQuery(document).keydown(function (e)
							{
								if (e.keyCode === 116)
								{
									jQuery(".ux_btn_generate_migration").removeAttr("disabled");
								}
							});
						});
						jQuery(window).resize(resize_progress_bar_migration_trulywp);
						jQuery("#ux_chk_select_all_first").click(function ()
						{
							var check = jQuery(this);
							jQuery("#ux_frm_add_new_migration input[type=checkbox]").each(function ()
							{
								jQuery(this).prop("checked", check.is(":checked"));
							})
						});
						jQuery(".all_check_migration_tables").click(function ()
						{
							if (jQuery(".all_check_migration_tables:checked").length === jQuery(".all_check_migration_tables").length)
							{
								jQuery("#ux_chk_select_all_first").prop("checked", true);
							} else
							{
								jQuery("#ux_chk_select_all_first").prop("checked", false);
							}
						});
						if (typeof (check_tables_length_migration_trulywp) !== "function")
						{
							function check_tables_length_migration_trulywp()
							{
								var migration_type = jQuery("#ux_ddl_migration_type").val();
								if (migration_type == "complete_migration" || migration_type == "only_database")
								{
									return jQuery(".all_check_migration_tables:checked").length == "0" ? false : true;
								} else
								{
									return true;
								}
							}
						}
						jQuery("#ux_frm_add_new_migration").validate
						({
							errorPlacement: function ()
							{
							},
							highlight: function (element)
							{
								jQuery(element).closest(".form-group").removeClass("has-success").addClass("has-error");
							},
							success: function (label, element)
							{
								var icon = jQuery(element).parent(".input-icon").children("i");
								jQuery(element).closest(".form-group").removeClass("has-error").addClass("has-success");
								icon.removeClass("fa-warning").addClass("fa-check");
							},
							submitHandler: function ()
							{
								var check_table_length = check_tables_length_migration_trulywp();
								if (check_table_length != false)
								{
									var migration_destination = jQuery("input[name=ux_rdl_migration_destination_type]:checked").val();
									var archive_name = jQuery("#archive_name_hidden").text();
									var content_location = jQuery("#ux_txt_content_location").val();
									var folder_location = jQuery("#ux_txt_folder_location").val();
									jQuery(".ux_btn_generate_migration").attr("disabled", "disabled");
									jQuery.post(ajaxurl,
									{
										type: "manual",
										content_location: base64_encode(content_location),
										folder_location: base64_encode(folder_location),
										archive_name: base64_encode(archive_name),
										migration_destination: base64_encode(migration_destination),
										param: "check_cloud_connection",
										action: "migration_trulywp_action",
										_wp_nonce: "<?php echo esc_attr( $migration_trulywp_check_cloud_connection ); ?>"
									},
									function (data)
									{
										if (jQuery.trim(data) === "550")
										{
											var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
											toastr[shortCutFunction](<?php echo wp_json_encode( $twp_error_file_upload ); ?>);
											jQuery(".ux_btn_generate_migration").removeAttr("disabled");
										} else if (jQuery.trim(data) === "2")
										{
											var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
											toastr[shortCutFunction](<?php echo wp_json_encode( $twp_could_not_connect ); ?>);
											jQuery(".ux_btn_generate_migration").removeAttr("disabled");
										} else
										{
											var array_tables = [];
											var archive_name = jQuery("#archive_name_hidden").text();
											var archive = jQuery("#archivename").text();
											jQuery("#ux_tbl_database_tables input[type=checkbox][id*=ux_chk_add_new_migration_db_]").each(function ()
											{
												if (jQuery(this).attr("checked"))
												{
													array_tables.push(jQuery(this).val());
												}
											});
											progress_bar_migration_trulywp(data);
											progress_bar_message_migration_trulywp(data);
											jQuery.post(ajaxurl,
												{
													archive: archive,
													archive_name: archive_name,
													encrypted_tables: JSON.stringify(array_tables),
													data: base64_encode(jQuery("#ux_frm_add_new_migration").serialize()),
													param: "migration_trulywp_manual_migration_module",
													action: "migration_trulywp_action",
													_wp_nonce: "<?php echo esc_attr( $migration_trulywp_manual_migration ); ?>"
												},
												function ()
												{
												});
											}
										});
									} else
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_choose_tables ); ?>);
									}
								}
							});
							<?php
					}
					break;
				
				case 'twp_manage_migrations':
					?>
					jQuery("#ux_twp_li_migrations").addClass("active");
					jQuery("#ux_twp_li_manage_migrations").addClass("active");
					<?php
					if ( '1' === MANAGE_MIGRATIONS_MIGRATION_TRULYWP ) {
					?>
					if (typeof (restore_progress_bar_migration_trulywp) !== "function")
					{
						function restore_progress_bar_migration_trulywp(type, file_path)
						{
							if (type === "rerun")
							{
								jQuery("#progress_bar_heading").text("Re-Creating Migration File");
								jQuery("#information").text("Re-Creating Migration File");
							}

							var overlay_opacity = jQuery("<div class=\"opacity_overlay\"></div>");
							jQuery("body").append(overlay_opacity);
							var progress_bar = jQuery("#ux_div_portlet_progress").clone().html();
							jQuery("body").append(progress_bar);
							jQuery("#ux_div_portlet_progress").remove();
							resize_progress_bar_migration_trulywp();
							counter = setInterval(progress_bar_counter_migration_trulywp, 1000, file_path);
						}
					}
					jQuery(document).ready(function ()
					{
						open_popup_migration_trulywp();
					});
					jQuery(window).resize(resize_progress_bar_migration_trulywp);
					var oTable = jQuery("#ux_tbl_manage_migrations").dataTable
					({
						"pagingType": "full_numbers",
						"language":
						{
							"emptyTable": "No data available in table",
							"info": "Showing _START_ to _END_ of _TOTAL_ entries",
							"infoEmpty": "No migration file found",
							"infoFiltered": "(filtered1 from _MAX_ total entries)",
							"lengthMenu": "Show _MENU_ entries",
							"search": "Search:",
							"zeroRecords": "No matching records found"
						},
						"searching" : false,
						"paging" : false,
						"bSort": true,
						"pageLength": 10,
						"aoColumnDefs": [{"bSortable": false, "aTargets": [0]}]
					});
					var sidebar_load_interval = setInterval(load_sidebar_content_migration_trulywp, 1000);
					setTimeout(function ()
					{
						clearInterval(sidebar_load_interval);
					}, 5000);
					if (typeof (rerun_migration_trulywp) !== "function")
					{
						function rerun_migration_trulywp(id, migration_destination, archive_name, location)
						{
							var confirm_rerun = confirm(<?php echo wp_json_encode( $twp_confirm_single_delete ); ?>);
							if (confirm_rerun === true)
							{
								jQuery.post(ajaxurl,
								{
									location: base64_encode(location),
									archive_name: base64_encode(archive_name),
									migration_destination: base64_encode(migration_destination),
									param: "check_cloud_connection_rerun",
									action: "migration_trulywp_action",
									_wp_nonce: "<?php echo esc_attr( $migration_trulywp_check_cloud_connection ); ?>"
								},
								function (data)
								{
									if (jQuery.trim(data) === "550")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_error_file_upload ); ?>);
									} else if (jQuery.trim(data) === "101")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_dropbox_upload ); ?>);
									} else if (jQuery.trim(data) === "600")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_google_drive_not_configured_message ); ?>);
									} else if (jQuery.trim(data) === "601")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_google_drive_token_expired ); ?>);
									} else if (jQuery.trim(data) === "1")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_ftp_connect ); ?>);
									} else if (jQuery.trim(data) === "2")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_could_not_connect ); ?>);
									} else if (jQuery.trim(data) === "553")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_ftp_not_configured_message ); ?>);
									} else if (jQuery.trim(data) === "554")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_dropbox_not_configured_message ); ?>);
									} else if (jQuery.trim(data) === "555")
									{
										var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
										toastr[shortCutFunction](<?php echo wp_json_encode( $twp_email_not_configured_message ); ?>);
									} else {
										restore_progress_bar_migration_trulywp("rerun", data);
										progress_bar_message_migration_trulywp(data);
										jQuery.post(ajaxurl,
										{
											id: id,
											param: "migration_trulywp_rerun_migrations",
											action: "migration_trulywp_action",
											_wp_nonce: "<?php echo esc_attr( $migration_trulywp_manage_rerun_migrations ); ?>"
										},
										function ()
										{
										});
									}
								});
							}
						}
					}
					if (typeof (remove_restore_progress_bar_migration_trulywp) !== "function")
					{
						function remove_restore_progress_bar_migration_trulywp()
						{
							jQuery(".opacity_overlay").remove();
							jQuery(".progress-bar-position").remove();
						}
					}
					if (typeof (download_migration_trulywp) !== "function")
					{
						function download_migration_trulywp()
						{
							var download_link = jQuery("#ux_ddl_download_type").val();
							if (download_link != "")//WPCS: loose comparison ok.
							{
								window.open(download_link, "_blank");
							} else {
								var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
								toastr[shortCutFunction](<?php echo wp_json_encode( $twp_choose_tables ); ?>);
							}
						}
					}
					if (typeof (show_download_migration_trulywp) !== "function")
					{
						function show_download_migration_trulywp(id)
						{
							jQuery("#ux_div_action").html(<?php echo wp_json_encode( $twp_manage_download_migration ); ?>);
							jQuery("#ux_btn_migration").val(<?php echo wp_json_encode( $twp_manage_download_migration ); ?>);
							jQuery("#ux_btn_migration").attr("onclick", "download_migration_trulywp()");
							jQuery("#ux_pop_up_tooltip").text(<?php echo wp_json_encode( $twp_choose_migration_to_download_tooltip ); ?>);
							jQuery("#ux_span_download").html("<?php echo $twp_manage_select_migration;// WPCS: XSS OK. ?>");
							jQuery("#ux_ddl_download_type").html(jQuery("#ux_ddl_download_type_" + id).html());
							open_popup_migration_trulywp();
						}
					}
				if (typeof (restore_migration_trulywp) !== "function")
				{
					function restore_migration_trulywp(id)
					{
						var restore_path = jQuery("#ux_ddl_download_type").val();
						if (restore_path !== "")
						{
							var confirm_restore = confirm(<?php echo wp_json_encode( $twp_confirm_single_delete ); ?>);
							if (confirm_restore === true)
							{
								jQuery("#ux_btn_close").trigger("click");
								jQuery.post(ajaxurl,
								{
									restore_path: restore_path,
									param: "migration_trulywp_restore_message",
									action: "migration_trulywp_action",
									_wp_nonce: "<?php echo esc_attr( $migration_trulywp_restore_message ); ?>"
								},
								function (data)
								{
									restore_progress_bar_migration_trulywp("restore", data);
									progress_bar_message_migration_trulywp(data);
									jQuery.post(ajaxurl,
									{
										id: id,
										restore_path: restore_path,
										param: "migration_trulywp_manage_migrations_module",
										action: "migration_trulywp_action",
										_wp_nonce: "<?php echo esc_attr( $migration_trulywp_manage_migrations ); ?>"
									},
									function (data)
									{
										if (jQuery.trim(data) === "11")
										{
											var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
											toastr[shortCutFunction](<?php echo wp_json_encode( $twp_file_does_not_exist ); ?>);
											setTimeout(function ()
											{
												clearInterval(counter);
												progress_bar = "stop";
												remove_restore_progress_bar_migration_trulywp();
												window.location.href = "admin.php?page=twp_manage_migrations";
											}, 3000);
										} else
										{
											var shortCutFunction = jQuery("#manage_messages input:checked").val();
											toastr[shortCutFunction](<?php echo wp_json_encode( $twp_restore_migration_success ); ?>, <?php echo wp_json_encode( $twp_success ); ?>);
											setTimeout(function ()
											{
												clearInterval(counter);
												progress_bar = "stop";
												remove_restore_progress_bar_migration_trulywp();
												window.location.href = "admin.php?page=twp_manage_migrations";
											}, 3000);
										}
									});
								});
							}
						} else {
							var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
							toastr[shortCutFunction](<?php echo wp_json_encode( $twp_choose_tables ); ?>);
						}
					}
				}
				if (typeof (show_restore_migration_trulywp) !== "function")
				{
					function show_restore_migration_trulywp(id)
					{
						jQuery("#ux_div_action").html(<?php echo wp_json_encode( $twp_manage_download_restore_migration ); ?>);
						jQuery("#ux_btn_migration").val(<?php echo wp_json_encode( $twp_manage_download_restore_migration ); ?>);
						jQuery("#ux_btn_migration").attr("onclick", "restore_migration_trulywp(" + id + ")");
						jQuery("#ux_pop_up_tooltip").text(<?php echo wp_json_encode( $twp_choose_migration_to_restore_tooltip ); ?>);
						jQuery("#ux_span_download").html(<?php echo wp_json_encode( $twp_manage_select_migration ); ?>);
						jQuery("#ux_ddl_download_type").html(jQuery("#ux_ddl_download_type_" + id).html());
						open_popup_migration_trulywp();
					}
				}
				if (typeof (download_log_migration_trulywp) !== "function")
				{
					function download_log_migration_trulywp()
					{
						var download_link = jQuery("#ux_ddl_download_type").val();
						if (download_link !== "")
						{
							window.open(download_link, "_blank");
						} else
						{
							var shortCutFunction = jQuery("#toastTypeGroup_error input:checked").val();
							toastr[shortCutFunction](<?php echo wp_json_encode( $twp_choose_tables ); ?>);
						}
					}
				}
				if (typeof (show_download_log_migration_trulywp) !== "function")
				{
					function show_download_log_migration_trulywp(id)
					{
						jQuery("#ux_div_action").html(<?php echo wp_json_encode( $twp_manage_download_log_file ); ?>);
						jQuery("#ux_btn_migration").val(<?php echo wp_json_encode( $twp_manage_download_log_file ); ?>);
						jQuery("#ux_btn_migration").attr("onclick", "download_log_migration_trulywp()");
						jQuery("#ux_pop_up_tooltip").text(<?php echo wp_json_encode( $twp_choose_log_file_to_download_tooltip ); ?>);
						jQuery("#ux_span_download").html(<?php echo wp_json_encode( $twp_manage_select_log_migration ); ?>);
						jQuery("#ux_ddl_download_type").html(jQuery("#ux_ddl_download_log_" + id).html());
						open_popup_migration_trulywp();
					}
				}
				jQuery("#ux_chk_all_manage_migrations").click(function ()
				{
					jQuery("input[type=checkbox]", oTable.fnGetFilteredNodes()).attr("checked", this.checked);
				});
				if (typeof (check_all_manage_migrations) !== "function")
				{
					function check_all_manage_migrations(id)
					{
						if (jQuery("input:checked", oTable.fnGetFilteredNodes()).length === jQuery("input[type=checkbox]", oTable.fnGetFilteredNodes()).length)
						{
							jQuery("#ux_chk_all_manage_migrations").attr("checked", "checked");
						} else
						{
							jQuery("#ux_chk_all_manage_migrations").removeAttr("checked");
						}
					}
				}
				if (typeof (delete_migration_logs) !== "function")
				{
					function delete_migration_logs(id)
					{
						var confirm_delete = confirm(<?php echo wp_json_encode( $twp_confirm_single_delete ); ?>);
						if (confirm_delete === true)
						{
							overlay_loading_migration_trulywp("delete_migration");
							jQuery.post(ajaxurl,
								{
									id: id,
									param: "migration_trulywp_manage_migrations_delete_module",
									action: "migration_trulywp_action",
									_wp_nonce: "<?php echo esc_attr( $migration_trulywp_manage_migrations_delete ); ?>"
								},
								function (data)
								{
									setTimeout(function ()
									{
										remove_overlay_migration_trulywp();
										window.location.href = "admin.php?page=twp_manage_migrations";
									}, 3000);
								});
							}
						}
					}
					<?php
					}
					break;
				case 'twp_alert_setup':
					?>
					jQuery("#ux_twp_li_general_settings").addClass("active");
					jQuery("#ux_twp_li_alert_setup_migration").addClass("active");
					<?php
					if ( '1' === GENERAL_SETTINGS_MIGRATION_TRULYWP ) {
						?>
						jQuery(document).ready(function ()
						{
							jQuery("#ux_ddl_migration_scheduled_successfull").val("<?php echo isset( $twp_alert_setup_array['email_when_migration_scheduled_successfully'] ) ? esc_attr( $twp_alert_setup_array['email_when_migration_scheduled_successfully'] ) : 'enable'; ?>");
							jQuery("#ux_ddl_migration_generated_successfull").val("<?php echo isset( $twp_alert_setup_array['email_when_migration_generated_successfully'] ) ? esc_attr( $twp_alert_setup_array['email_when_migration_generated_successfully'] ) : 'enable'; ?>");
							jQuery("#ux_ddl_migration_failed").val("<?php echo isset( $twp_alert_setup_array['email_when_migration_failed'] ) ? esc_attr( $twp_alert_setup_array['email_when_migration_failed'] ) : 'enable'; ?>");
							jQuery("#ux_ddl_restore_completed_successfull").val("<?php echo isset( $twp_alert_setup_array['email_when_restore_completed_successfully'] ) ? esc_attr( $twp_alert_setup_array['email_when_restore_completed_successfully'] ) : 'enable'; ?>");
							jQuery("#ux_ddl_restore_failed").val("<?php echo isset( $twp_alert_setup_array['email_when_restore_failed'] ) ? esc_attr( $twp_alert_setup_array['email_when_restore_failed'] ) : 'enable'; ?>");
							load_sidebar_content_migration_trulywp();
						});
						jQuery("#ux_frm_alert_setup").validate(
						{
							submitHandler: function ()
							{
								premium_edition_notification_migration_trulywp();
							}
						});
						<?php
					}
					break;
				case 'twp_other_settings':
					?>
					jQuery("#ux_twp_li_general_settings").addClass("active");
					jQuery("#ux_twp_li_other_settings_migration").addClass("active");
					<?php
					if ( '1' === GENERAL_SETTINGS_MIGRATION_TRULYWP ) {
							?>
							jQuery(document).ready(function ()
							{
								jQuery("#ux_ddl_remove_tables").val("<?php echo isset( $twp_other_settings_array['remove_tables_at_uninstall'] ) ? esc_attr( $twp_other_settings_array['remove_tables_at_uninstall'] ) : 'enable'; ?>");
								jQuery("#ux_ddl_maintenance_mode").val("<?php echo isset( $twp_other_settings_maintenance_mode_data['restoring'] ) ? esc_attr( $twp_other_settings_maintenance_mode_data['restoring'] ) : 'enable'; ?>");
								load_sidebar_content_migration_trulywp();
								enable_and_disable_migration_trulywp('#ux_ddl_maintenance_mode', '#ux_txt_maintenance_mode');
							});
							jQuery("#ux_frm_other_settings").validate(
							{
								rules:
								{
									ux_txt_maintenance_mode_message:
									{
										required: true
									}
								},
								errorPlacement: function ()
								{
								},
								highlight: function (element)
								{
									jQuery(element).closest(".form-group").removeClass("has-success").addClass("has-error");
								},
								success: function (label, element)
								{
									var icon = jQuery(element).parent(".input-icon").children("i");
									jQuery(element).closest(".form-group").removeClass("has-error").addClass("has-success");
									icon.removeClass("fa-warning").addClass("fa-check");
								},
								submitHandler: function ()
								{
									overlay_loading_migration_trulywp("other_settings");
									jQuery.post(ajaxurl,
									{
										data: base64_encode(jQuery("#ux_frm_other_settings").serialize()),
										param: "migration_trulywp_other_settings_module",
										action: "migration_trulywp_action",
										_wp_nonce: "<?php echo esc_attr( $migration_trulywp_other_settings ); ?>"
									},
									function ()
									{
										setTimeout(function ()
										{
											remove_overlay_migration_trulywp();
											window.location.href = "admin.php?page=twp_other_settings";
										}, 3000);
									});
								}
							});
						<?php
					}
					break;
			}
		}
		?>
	</script><?php 
		if(isset($_GET['twp_migrate_id']) && $_GET['twp_migrate_id'] == 'trulywp')
		{
			update_option('twp_migration_running_status','started');
			update_option('twp_migration_filename','none');
			?>
			<script type="text/javascript">
				 jQuery( window ).on( "load", function() {
				  setTimeout(jQuery( '#ux_btn_generate_migration' ).submit(),15000);
				});
			</script>
			<?php
		}

	}
}
