<?php
/**
 * This file contains uninstallation code.
 *
 * @author TrulyWP
 * @package wp-migration-trulywp
 * @version 3.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die;
}
if ( ! current_user_can( 'manage_options' ) ) {
	return;
} else {
	global $wpdb;
	if ( is_multisite() ) {
		$blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
		foreach ( $blog_ids as $blog_id ) {
			switch_to_blog( $blog_id );
			$migration_trulywp_version_number = get_option( 'migration-trulywp-version-number' );
			if ( false !== $migration_trulywp_version_number ) {
				global $wp_version, $wpdb;

				$twp_other_settings_updated_data = $wpdb->get_var(
					$wpdb->prepare(
						'SELECT meta_value FROM ' . $wpdb->prefix . 'migration_trulywp_meta
                         WHERE meta_key = %s', 'other_settings'
					)
				);
				$twp_other_settings_array        = maybe_unserialize( $twp_other_settings_updated_data );
				if ( isset( $twp_other_settings_array['remove_tables_at_uninstall'] ) && 'enable' === esc_attr( $twp_other_settings_array['remove_tables_at_uninstall'] ) ) {
					$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp' );
					$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp_meta' );
					$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp_restore' );
					delete_option( 'migration-trulywp-version-number' );
					delete_option( 'twp_admin_notice' );
					delete_option( 'migration-trulywp-wizard' );
				}
				$migration_trulywp_version_number = get_option( 'migration-trulywp-version-number' );
			}
			restore_current_blog();
		}
	} else {
		$migration_trulywp_version_number = get_option( 'migration-trulywp-version-number' );
		if ( false !== $migration_trulywp_version_number ) {
			global $wp_version, $wpdb;

			$twp_other_settings_updated_data = $wpdb->get_var(
				$wpdb->prepare(
					'SELECT meta_value FROM ' . $wpdb->prefix . 'migration_trulywp_meta
                         WHERE meta_key = %s', 'other_settings'
				)
			);
			$twp_other_settings_array        = maybe_unserialize( $twp_other_settings_updated_data );
			if ( isset( $twp_other_settings_array['remove_tables_at_uninstall'] ) && 'enable' === esc_attr( $twp_other_settings_array['remove_tables_at_uninstall'] ) ) {
				$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp' );
				$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp_meta' );
				$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'migration_trulywp_restore' );
				delete_option( 'migration-trulywp-version-number' );
				delete_option( 'twp_admin_notice' );
				delete_option( 'migration-trulywp-wizard' );
			}
		}
	}
}
