<?php
// This file is for Manage migration UI
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} //exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( MANAGE_MIGRATIONS_MIGRATION_TRULYWP === '1' ) {
		$migration_trulywp_manage_migrations_delete  = wp_create_nonce( 'migration_trulywp_manage_migrations_delete' );
		$migration_trulywp_manage_migrations         = wp_create_nonce( 'migration_trulywp_manage_migrations' );
		$migration_trulywp_manage_rerun_migrations   = wp_create_nonce( 'migration_trulywp_manage_rerun_migrations' );
		$migration_trulywp_restore_message        = wp_create_nonce( 'migration_trulywp_restore_message' );
		$migration_trulywp_check_cloud_connection = wp_create_nonce( 'migration_trulywp_check_ftp_dropbox_connection_rerun' );
		?>
	<div class="wrap">
	<div class="twp-page-bar">
					<img class="logo" src="https://trulywp.com/assets/img/logos/trulywp_logo_small.png" height="25px">
				<h3>WordPress Site Migration</h3>
	</div>
	</div>


<style>
/**
 * BASIC LINK STYLE
 * Link styles to match the website
*/
#wpfooter{display:none;}
.twp-page-wrapper a {
	color: #377dff;
	text-decoration: none;
	border-bottom: 2px solid #2cd4d9;
	position: relative;
}

.twp-page-wrapper a:before {
	width: 0;
	position: absolute;
	content: " ";
	border-bottom: 2px solid #377dff;
	transition: all 120ms linear;
	height: 100%;
	top: 0;
}

.twp-page-wrapper a:hover:before {
	width: 100%;
}



/**
 *  twp PAGE BAR
 *  Shown at the top of all admin pages
 */
.twp-page-bar {

	/*max-width:1133px;*/
	background: #fff;
	position: relative;
	box-sizing: border-box;
	padding: 16px 22px;
	margin-top: 20px;
	display: flex;
	align-items: center;
	margin-bottom: 20px;
	border: 1px solid #e4e4e4;
}

.twp-page-bar h3 {
	margin: 0;
	color: #555;
	font-weight: 300;
	border-left: 1px solid rgba(0, 0, 0, 0.1);
	padding: 0 0 0 11px;
	font-size: 15px;
}

.twp-page-bar .logo {
	margin-right: 11px;
}

.twpmu-whitelabel .twp-page-bar h3 {
	border-left: 0;
	padding-left: 0;
}

/**
 *  GENERAL STRUCTURAL ELEMENTS
 *  Used on all pages to create the sidebar and content structure and other
 *  common elements
 */

.twp-page-wrapper * {
	box-sizing: border-box;
}

.twp-page-wrapper {
	display: flex;
	flex-direction: row-reverse;
	margin-top: 30px;
}

.twp-sidebar {
	flex: 0 0 280px;
	width: 280px;
	margin-left: 33px;
}

.twp-main-content {

	/*max-width:820px;*/
	width: 100%;
}

@media screen and (max-width: 1099px) {

	.twp-page-wrapper {
		display: block;
	}

	.twp-sidebar {
		display: block;
		width: 100%;
		margin-left: 0;
		margin-top: 22px;
	}
}

/**
 *  twp BOX
 *  Used all over on the admin, a structure with a deep blue header and
 *  a white content area
 */

.twp-box-title-bar {
	background: #23282d;
	padding: 16px;
	display: block;
	width: 100%;
}

.twp-box-title-bar h3 {
	color: #fff;
	font-weight: 400;
	margin: 0;
	font-size: 14px;
	padding: 0;
}

.twp-box-title-bar__small {
	padding: 11px 16px;
}

.twp-box-title-bar__small h3 {
	font-size: 13px;
}

.twp-box-content {
	background: #fff;
	padding: 22px;
	border: 1px solid #e4e4e4;
	border-top: 0;
}

/**
 *  TYPOGRAPHY
 *  Some basic typography rules on our admin pages
 */

.twp-page-wrapper .mb0 {
	margin-bottom: 0;
}

.twp-page-wrapper .mb6 {
	margin-bottom: 6px;
}

.twp-page-wrapper .mb11 {
	margin-bottom: 11px;
}

.twp-page-wrapper .mb22 {
	margin-bottom: 22px;
}

.twp-page-wrapper .mb33 {
	margin-bottom: 33px;
}

.twp-page-wrapper .mb44 {
	margin-bottom: 44px;
}

.twp-page-wrapper .mr0 {
	margin-right: 0;
}

.twp-page-wrapper .mr6 {
	margin-right: 6px;
}

.twp-page-wrapper .mr11 {
	margin-right: 11px;
}

.twp-page-wrapper .mr22 {
	margin-right: 22px;
}

.twp-page-wrapper .mr33 {
	margin-right: 33px;
}

.twp-page-wrapper .mr44 {
	margin-right: 44px;
}

.twp-page-wrapper p {
	margin: 0 0 22px;
	line-height: 28px;
	font-weight: 300;
	font-size: 16px;
}

.twp-page-wrapper .content > *:last-child {
	margin-bottom: 0;
}

/**
     *  twp BUTTON
     *  Basic buttons styles and progress button addon
    */

.twp-button {
	display: inline-block;
	box-sizing: border-box;
	padding: 11px 22px;
	outline: none;
	border: 2px solid #377dff;
	background-color: #377dff;
	color: #fff;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-size: 14px;
	position: relative;
	overflow: hidden;
	-webkit-appearance: none;
	text-decoration: none;
	cursor: pointer;
	transition: background 200ms linear;
	font-weight: 300;
	border-radius: 100px;
}

.twp-button:hover {
	background: #fff;
	color: #377dff;
}

.twp-button__full {
	text-align: center;
	display: block;
	width: 100%;
}

.twp-button__full-left {
	text-align: left;
	display: block;
	width: 100%;
}

.twp-button__large {
	padding: 22px;
}

.twp-button__white {
	background: #fff;
	color: #888;
}

.twp-button__white:hover {
	background: #f1f1f1;
}

.twp-button .progress {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 12px;
	background-color: transparent;
}

.twp-button .progress-bar {
	height: 12px;
	width: 0%;
	background: rgba(0, 0, 0, 0.25);
}

.twp-button .text {
	display: inline-block;
}

</style>
<script type="text/javascript">
	function copyStringToClipboard (str) {
	   // Create new element
	   var el = document.createElement('textarea');
	   // Set value (string to be copied)
	   el.value = str;
	   // Set non-editable to avoid focus and move outside of view
	   el.setAttribute('readonly', '');
	   el.style = {position: 'absolute', left: '-9999px'};
	   document.body.appendChild(el);
	   // Select text inside element
	   el.select();
	   // Copy text to clipboard
	   document.execCommand('copy');
	   // Remove temporary element
	   document.body.removeChild(el);
	   jQuery('#twp_copy_key').html('Copied!');
	   setTimeout(function () {
                jQuery('#twp_copy_key').html('Copy');
         }, 1000);
	}
</script>
		<div class="row">
			<?php 
				$migration_status =(string) get_option('twp_running_migration');
				if(!empty($migration_status) && $migration_status != 'error')
				{
					$class = 'notice notice-error';
					$message = __( 'Migration is Running.', 'sample-text-domain' );
					printf( '<div class="%1$s"><p>%2$s</p></div><br/>', esc_attr( $class ), esc_html( $message ) ); 
				}
			?>
			<div></div>
			<div class="col-md-12">
				<div class="portlet box ">
					<div class="twp-box-title-bar">
						<h3><?php echo esc_attr( $twp_generated_files ); ?></h3>
					</div>
					<div class="portlet-body form">
						<form id="ux_frm_manage_migrations">
							<div class="form-body">
								<div class="table-top-margin" style="text-align:right;">
									<a href="admin.php?page=twp_start_migration" class="btn vivid-green" name="ux_btn_manual_migration" id="ux_btn_manual_migration"> <?php echo esc_attr( $twp_start_migration ); ?></a>
								</div>
								<table class="table table-striped table-bordered table-hover table-margin-top" id="ux_tbl_manage_migrations">
									<thead>
										<tr>
											
											<th style="width:33%">
												<label>
													<?php echo esc_attr( "File Details" ); ?>
												</label>
											</th>
											<th style="width:23%">
												<label>
													<?php echo esc_attr( "File Created Date" ); ?>
												</label>
											</th>
												<th style="width:23%">
												<label>
													<?php echo esc_attr( "Key Details" ); ?>
												</label>
											</th>
											<th style="width:20%">
												<label>
													<?php echo esc_attr( "File Status" ); ?>
												</label>
											</th>
										</tr>
									</thead>
									<tbody>
										<?php
										if ( isset( $twp_migrations_unserialized_data ) && count( $twp_migrations_unserialized_data ) > 0 ) {
											foreach ( $twp_migrations_unserialized_data as $value ) {
												$migration_archive_time = '';
												$migration_log_time     = '';
												if ( 'scheduled' === $value['execution'] ) {
													$archives_array    = maybe_unserialize( $value['archive'] );
													$pop_archive_array = array_pop( $archives_array );
													$archive_array     = array_reverse( $archives_array );
													$logs_array        = maybe_unserialize( $value['log_filename'] );
													$pop_log_array     = array_pop( $logs_array );
													$log_array         = array_reverse( $logs_array );
													$count_array       = count( $archives_array );
													if ( isset( $value['execution_time'] ) ) {
														$migration_time_array   = maybe_unserialize( $value['execution_time'] );
														$migration_time         = array_reverse( $migration_time_array );
														$migration_archive_time = @array_combine( $archive_array, $migration_time ); 
														$migration_log_time     = @array_combine( $log_array, $migration_time ); 
													}
												} else {
													$log_array     = maybe_unserialize( $value['log_filename'] );
													$archive_array = maybe_unserialize( $value['archive'] );
													$count_array   = count( $archive_array );
													if ( isset( $value['execution_time'] ) ) {
														$migration_time         = maybe_unserialize( $value['execution_time'] );
														$migration_archive_time = array_combine( $archive_array, $migration_time );
														$migration_log_time     = array_combine( $log_array, $migration_time );
													}
												}
												$count_log_array  = count( $log_array );
												$restore_log_time = '';
												if ( isset( $value['restore_log_urlpath'] ) ) {
													$restore_logs_array = maybe_unserialize( $value['restore_log_urlpath'] );
													$restore_log_array  = array_reverse( $restore_logs_array );
													$restore_time_array = maybe_unserialize( $value['restore_execution_time'] );
													$restore_time       = array_reverse( $restore_time_array );
													$restore_log_time   = array_combine( $restore_log_array, $restore_time );
												}
												$upload_status = 0;
												if ( 'uploading_to_ftp' === $value['status'] || 'uploading_to_email' === $value['status'] || 'uploading_to_dropbox' === $value['status'] ||
												'uploading_to_onedrive' === $value['status'] || 'uploading_to_rackspace' === $value['status'] || 'uploading_to_azure' === $value['status'] || 'uploading_to_google_drive' === $value['status'] ) {
													$upload_status = 1;
												}
												?>
												<tr>
													
													<td>
														<label class="control-label">
															<strong>
																<?php echo esc_attr( "File Name" ); ?> :
															</strong>
															<?php echo esc_html( $value['migration_name'] ); ?>
														</label><br>
														
														<label class="control-label">
															<strong>
																<?php echo esc_attr( $twp_migration_total_size ); ?> :
															</strong>
															<?php
															if ( 'completed_successfully' === $value['status'] ) {
																echo esc_html( $value['total_size'] );
															} else {
																echo $twp_na; 
															}
															?>
														</label><br>
														<label class="custom-alternative">
															<?php
															if ( 'manual' === $value['execution'] && 'running' !== $value['status'] ) {
																$file_name = implode( '', maybe_unserialize( $value['archive_name'] ) );
																?>
																<a href="javascript:void(0);">
																<i style="font-size:15px;vertical-align: middle;" class="dashicons dashicons-image-rotate tooltips" data-original-title="<?php echo esc_attr( $twp_manage_rerun_migration ); ?>" onclick="rerun_migration_trulywp(<?php echo intval( $value['meta_id'] ); ?>, '<?php echo esc_attr( $value['migration_destination'] ); ?>', '<?php echo esc_attr( $file_name ); ?>', '<?php echo esc_attr( $value['folder_location'] ); ?>')" data-placement="top"></i>
																</a> |
																<?php
															}
															if ( 'completed_successfully' === $value['status'] ) {
																$full_data_key_url ='#';
																if ( '' !== $migration_archive_time ) {
																foreach ( $migration_archive_time as $key => $data ) {
																		$full_data_key_url = $key;
																	}
																}
																?>
																<a href="<?php echo trailingslashit( $value['migration_urlpath'] ) . $full_data_key_url; ?>" >
																	<i style="font-size:18px;vertical-align: middle;" class="dashicons dashicons-download tooltips" data-original-title="<?php echo esc_attr( $twp_manage_download_migration ); ?>" data-placement="top"></i>
																</a> |
																<?php
																
															}
															
															if ( ( ( 'not_yet_executed' !== $value['status'] && 'running' !== $value['status'] || isset( $value['old_migration'] ) || ( 'scheduled' === $value['execution'] && $count_array >= 1 ) ) ) && $count_log_array > 0 ) {
																?>
																<a href="<?php echo trailingslashit( $value['migration_urlpath'] ) . str_replace("tar", "txt", $full_data_key_url); ?>" target="_blank">
																<i style="font-size:18px;vertical-align: middle;" class="dashicons dashicons-media-text tooltips" data-original-title="<?php echo esc_attr( "Log" ); ?>" data-placement="top"></i>
																</a> |
																<?php
															}  
															?>
															<a href="javascript:void(0);">
																<i style="font-size:16px;vertical-align: middle;" class="dashicons dashicons-trash tooltips" data-original-title="<?php echo esc_attr( $twp_manage_migrations_delete ); ?>" onclick="delete_migration_logs(<?php echo intval( $value['meta_id'] ); ?>)" data-placement="top"></i>
															</a>
														</label><br>
														
													</td>
													<td>
														<label class="control-label">
															<?php
															switch ( $value['status'] ) {
																case 'not_yet_executed':
																	echo esc_attr( $twp_manage_migrations_status_not_yet );
																	break;

																default:
																	echo date_i18n( 'd M, Y h:i A', $value['executed_time'] ); 
															}
															?>
														</label><br>
													</td>
													<td>
														<?php 
														$full_data_key_url = '#';
															if ( '' !== $migration_archive_time ) {
																foreach ( $migration_archive_time as $key => $data ) {
																		$full_data_key_url = $key;
																	}
																}
																$full_key = base64_encode(str_replace("http://","https://",trailingslashit( $value['migration_urlpath'] ) . $full_data_key_url) );
																?>
																<div style='max-width:500px;height:50px;'><?php echo substr($full_key, 0, 30); ?>... <a href='#' id="twp_copy_key" onclick="copyStringToClipboard('<?php echo $full_key; ?>')" class='' style='text-decoration: blink;margin-left:10px;'>Copy</a></div>
																<?php
														?>
													</td>
													<td>
														<?php
														switch ( $value['status'] ) {
															case 'not_yet_executed':
																echo esc_attr( $twp_manage_migrations_status_not_yet );
																break;

															case 'file_exists':
															case 'terminated':
																echo esc_attr( $twp_manage_migrations_terminated );
																break;

															case 'completed_successfully':
																echo esc_attr( $twp_manage_migrations_completed_successfully );
																break;
															
															case 'completed':
															case 'running':
																echo esc_attr( $twp_manage_migrations_status_running );
																break;

														}
														?>
													</td>
												</tr>
												<?php
											}
										}
										?>
									</tbody>
								</table>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<div class="popup" data-popup="ux_open_popup">
			<div class="popup-inner">
				<div class="portlet box vivid-green" style="margin-bottom: 0px !important">
					<div class="portlet-title">
						<div class="caption" id="ux_div_action">
							<?php echo esc_attr( $twp_manage_migrations_download_migration ); ?>
						</div>
					</div>
					<div class="modal-body">
						<form id="ux_frm_download_migrations">
							<div class="form-group">
								<label class="control-label">
									<span id="ux_span_download">
										<?php echo esc_attr( $twp_manage_select_migration ); ?>
									</span> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select name="ux_ddl_download_type" id="ux_ddl_download_type" class="form-control">
									<option value=""><?php echo esc_attr( $twp_choose_migration ); ?></option>
								</select>
								<i class="controls-description" id="ux_pop_up_tooltip"><?php echo esc_attr( $twp_choose_migration_to_download_tooltip ); ?></i>
							</div>
						</form>
					</div>
					<div class="modal-footer">
						<input type="button" class="btn vivid-green" name="ux_btn_migration" id="ux_btn_migration" onclick="download_migration_trulywp();" value="<?php echo esc_attr( $twp_manage_download_migration ); ?>">
						<input type="button" data-popup-close="ux_open_popup" class="btn vivid-green" name="ux_btn_close" id="ux_btn_close" value="<?php echo esc_attr( $twp_manage_migrations_close ); ?>">
					</div>
				</div>
			</div>
		</div>
		<div id="ux_div_portlet_progress" style="display:none;">
			<div id="ux_div_progressbar">
				<div class="progress-bar-position ">
					<div class="progress-bar-position" style="border:1px solid #23282d !important">
					<div class="portlet-progress-bar" style="background: #23282d;padding: 16px;display: block;">
							Re-Run Migration File
						</span>
						<?php
						if ( ! is_rtl() ) {
							?>
							<span style="float:right;">
							<span id="ux_hrs" class="tech-migrator-counter">00</span> <span id="ux_collon" class="tech-migrator-counter">:</span>
							<span id="ux_mins">00</span> :
							<span id="ux_secs">00</span>
							</span>
							<?php
						} else {
							?>
							<span style="float:left;">
							<span id="ux_secs">00</span> :
							<span id="ux_mins">00</span> <span id="ux_collon" class="tech-migrator-counter">:</span>
							<span id="ux_hrs" class="tech-migrator-counter">00</span>
							</span>
							<?php
						}
						?>
					</div>
					<div id="progress" class="progress-bar-width">
						<div id="progress_status" style="width:1%;max-width: 100%;color:#fff;background-color:#a4cd39;text-align: left;">
							1%
						</div>
					</div>
					<div id="uploading_progress" class="tech-migrator-counter">
						<div id="upload_progress" class="progress-bar-width">
							<div id="uploaded_status" style="width:1%;max-width: 100%;color:#fff;background-color:#a4cd39;text-align: center;">
								1%
							</div>
						</div>
					</div>
					<div id="information" class="progress-info">
						Restoring Backup
					</div>
					
				</div>
			</div>
		</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
				<li>
					<i class="icon-custom-home"></i>
					<a href="admin.php?page=twp_manage_migrations">
						<?php echo esc_attr( $wp_migration_trulywp ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<a href="admin.php?page=twp_manage_migrations">
						<?php echo esc_attr( $twp_migrations ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<span>
						<?php echo esc_attr( $twp_manage_migrations ); ?>
					</span>
				</li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="portlet box vivid-green">
					<div class="portlet-title">
						<div class="caption">
							<i class="icon-custom-folder-alt"></i>
							<?php echo esc_attr( $twp_manage_migrations ); ?>
						</div>
					</div>
					<div class="portlet-body form">
						<div class="form-body">
							<strong><?php echo esc_attr( $twp_user_access_message ); ?></strong>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php
	}
}
