<?php
// This file is for create migration UI
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}//exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( MANUAL_MIGRATION_TRULYWP === '1' ) {

		$migration_trulywp_manual_migration          = wp_create_nonce( 'migration_trulywp_manual_migration' );
		$migration_trulywp_check_cloud_connection = wp_create_nonce( 'migration_trulywp_check_ftp_dropbox_connection' );
		$local_folder_destination           = str_replace( MIGRATION_TRULYWP_CONTENT_DIR, '', MIGRATION_TRULYWP_MIGRATIONS_DATE_DIR );
		$content_folder_destination         = str_replace( '\\', '/', MIGRATION_TRULYWP_CONTENT_DIR );
		?>
		
<div class="wrap">
	<div class="twp-page-bar">
					<img class="logo" src="https://trulywp.com/assets/img/logos/trulywp_logo_small.png" height="25px">
					<h3>WordPress Site Migration</h3>
	</div>
	<hr class="wp-header-end">
	<?php 
				$migration_status =(string) get_option('twp_running_migration');
				if(!empty($migration_status) && $migration_status != 'error')
				{
					$class = 'notice notice-error';
					$message = __( 'Migration is Running.', 'sample-text-domain' );
					printf( '<div class="%1$s"><p>%2$s</p></div><br/>', esc_attr( $class ), esc_html( $message ) ); 
				}
			?>
	<div class="twp-page-wrapper" style="padding:0px 1px 0px 0px;">
		<div class="twp-sidebar">
			<div class="twp-widget">
				<form id="ux_frm_add_new_migration">
							<input type="hidden" name="ux_txt_archive_name" id="ux_txt_archive_name" value="migration_%Y-%m-%d_%H-%i-%s">
							<input  type="hidden" id="archivename" name="archivename"/>
							<input id="archive_name_hidden" type="hidden" name="archive_name_hidden"/>
							<input type="hidden" name="ux_txt_content_location" id="ux_txt_content_location" value="<?php echo esc_attr( $content_folder_destination ); ?>" />
							<input type="hidden" name="ux_txt_folder_location" id="ux_txt_folder_location"/>
							<div class="form-body">
								<div class="form-actions">
									<div class="pull-right">
										<input type="submit" class="ux_btn_generate_migration twp-clear-cache twp-button twp-button__large twp-button__full twp-loader" style="margin-top:60px;margin-right:50px;" name="ux_btn_generate_migration" id="ux_btn_generate_migration" value="<?php echo esc_attr( $twp_start_migration ); ?>">
									</div>
								</div>
								<div class="row"  style="visibility: hidden;">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $twp_migration_type ); ?> :
												<span class="required" aria-required="true">*</span>
											</label>
											<input type="hidden" name="ux_txt_migration_type" id="ux_txt_migration_type" class="form-control" value="<?php echo esc_attr( $local_folder_destination ); ?>">
											<select name="ux_ddl_migration_type" id="ux_ddl_migration_type" class="form-control" onchange="migration_type_migration_trulywp();">
												<option value="complete_migration"><?php echo esc_attr( $twp_complete_migration ); ?></option>
												<option value="only_database"><?php echo esc_attr( $twp_only_database ); ?></option>
												<option value="only_filesystem"><?php echo esc_attr( $twp_only_filesystem ); ?></option>
												<option value="only_plugins_and_themes"><?php echo esc_attr( $twp_only_plugins_and_themes ); ?></option>
												<option value="only_themes"><?php echo esc_attr( $twp_only_themes ); ?></option>
												<option value="only_plugins"><?php echo esc_attr( $twp_only_plugins ); ?></option>
												<option value="only_wp_content_folder"><?php echo esc_attr( $twp_wp_content_folder ); ?></option>
											</select>
											<i class="controls-description" ><?php echo esc_attr( $twp_migration_type_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div id="ux_div_exclude_list"  style="visibility: hidden;">
									<div class="form-group">
										<label class="control-label">
											<?php echo esc_attr( $twp_exclude_list ); ?> :
										</label>
										<input type="text" class="form-control" name="ux_txt_return_email" id="ux_txt_return_email" value=".svn-base, .git, .ds_store" placeholder="<?php echo esc_attr( $twp_exclude_list_placeholder ); ?>">
										<i class="controls-description"><?php echo esc_attr( $twp_exclude_list_tooltip ); ?></i>
									</div>
								</div>
								<div id="ux_div_file_compression_type" style="visibility: hidden;">
									<div class="form-group">
										<label class="control-label">
											<?php echo esc_attr( $twp_file_compression ); ?> :
											<span class="required" aria-required="true">*</span>
										</label>
										<select name="ux_ddl_file_compression_type" id="ux_ddl_file_compression_type" class="form-control" onchange="file_compression_migration_trulywp();">
											<option value=".tar">.tar</option>
											<option value=".tar.gz" <?php echo ! extension_loaded( 'zlib' ) ? 'disabled = disabled style=color:#FF0000' : ''; ?> > <?php echo extension_loaded( 'zlib' ) ? '.tar.gz' : '.tar.gz' . esc_attr( $twp_extention_not_found ); ?></option>
											<option value=".zip">.zip</option>
										</select>
										<i class="controls-description"><?php echo esc_attr( $twp_file_compression_tooltip ); ?></i>
									</div>
								</div>
								<div id="ux_div_db_compression_type"  style="visibility: hidden;">
									<div class="form-group">
										<label class="control-label">
											<?php echo esc_attr( $twp_db_compression ); ?> :
											<span class="required" aria-required="true">*</span>
										</label>
										<select name="ux_ddl_db_compression_type" id="ux_ddl_db_compression_type" class="form-control" onchange="db_compression_migration_trulywp();">
											<option value=".sql">.sql</option>
											<option value=".sql.gz" <?php echo ! extension_loaded( 'zlib' ) ? 'disabled = disabled style=color:#FF0000' : ''; ?> > <?php echo extension_loaded( 'zlib' ) ? '.sql.gz' : '.sql.gz' . esc_attr( $twp_extention_not_found ); ?></option>
											<option value=".sql.bz2" disabled = "disabled" style="color:#FF0000" > <?php echo extension_loaded( 'bz2' ) ? '.sql.bz2' : '.sql.bz2' . esc_attr( $twp_extention_not_found ); ?></option>
											<option value=".sql.zip">.sql.zip</option>
										</select>
										<i class="controls-description" ><?php echo esc_attr( $twp_db_compression_tooltip ); ?></i>
									</div>
								</div>
								<div id="ux_div_migration_tables"  style="visibility: hidden;">
									<div class="form-group">
										<label class="control-label">
											<?php echo esc_attr( $twp_migration_tables ); ?> :
											<span class="required" aria-required="true">*</span>
										</label>
										<table class="table table-striped table-bordered table-hover table-margin-top" id="ux_tbl_database_tables">
											<thead>
												<tr>
													<th style="width: 5%;text-align:center;">
														<input type="checkbox" id="ux_chk_select_all_first" value="0" checked="checked" name="ux_chk_select_all_first">
													</th>
													<th>
														<?php echo esc_attr( $twp_table_names ); ?>
													</th>
												</tr>
											</thead>
											<tbody>
												<?php
												if ( is_array( $result ) ) {
													for ( $flag = 0; $flag < count( $result ); $flag++ ) { 
														if ( 0 === $flag % 2 ) {
															?>
															<tr>
																<td style="text-align:center;">
																	<input type="checkbox" class="all_check_migration_tables" id="ux_chk_add_new_migration_db_<?php echo intval( $flag ); ?>" name="ux_chk_add_new_migration_db[]" checked="checked" value="<?php echo esc_attr( $result[ $flag ] ); ?>">
																</td>
																<td class="custom-manual-td">
																	<label style="font-size:13px;"><?php echo esc_attr( $result[ $flag ] ); ?></label>
																</td>
															<?php
														} else {
															?>
																<td style="text-align:center;">
																	<input type="checkbox"  class="all_check_migration_tables" checked="checked" id="ux_chk_add_new_migration_db_<?php echo intval( $flag ); ?>" name="ux_chk_add_new_migration_db[]" value="<?php echo esc_attr( $result[ $flag ] ); ?>">
																</td>
																<td class="custom-manual-td">
																	<label style="font-size:13px;"><?php echo esc_attr( $result[ $flag ] ); ?></label>
																</td>
															</tr>
														<?php
														}
														if ( $flag == count( $result ) - 1 && 0 === $flag % 2 ) { 
															?>
														<td style="width: 5%;text-align:center;">
														</td>
														<td class="custom-manual-td">
																<label></label>
														</td>
														<?php
														}
													}
												}
												?>
											</tbody>
										</table>
										<i class="controls-description" ><?php echo esc_attr( $twp_table_names ); ?></i>
									</div>
								</div>
								<div id="ux_div_migration_destination"  style="visibility: hidden;">
									<div class="form-group">
										<label class="control-label">
											<?php echo esc_attr( $twp_migration_destination ); ?> :
											<span class="required" aria-required="true">*</span>
										</label>
										<div class="row" style="margin-top: 10px;">
											<div class="col-md-4">
												<input type="radio" name="ux_rdl_migration_destination_type" id="ux_rdl_twp_local_folder" class="form-control" checked = checked onclick="migration_destination_migration_trulywp();" value="local_folder"><?php echo esc_attr( $twp_local_folder ); ?>
											</div>
											
									</div>
								</div>
								<i class="controls-description"><?php echo esc_attr( $twp_migration_destination_tooltip ); ?></i>
								<div class="line-separator"></div>
								<div class="form-actions">
									<div class="pull-right">
										<input type="submit" class="btn vivid-green ux_btn_generate_migration" name="ux_btn_generate_migration" id="ux_btn_generate_migration" value="<?php echo esc_attr( $twp_start_migration ); ?>">
									</div>
								</div>
							</div>
						</form>

					</div>
			</div>
		</div>
		<div class="twp-main-content">
			<div class="twp-box">
				<div class="twp-box-title-bar" style="font-family: inherit;font-weight:400;">
					<h3>TrulyWP Migration</h3>
				</div>
				<div class="twp-box-content">
					<div class="content mb22">
						<p>Easily migrate your site to TrulyWP using our migration wizard. After the migration file is generated, it will be transmitted to TrulyWP's servers for setting up your site.</p>
					</div>

				</div>
			</div>
		</div>

	</div>
</div>
</div>

<style>
/**
 * BASIC LINK STYLE
 * Link styles to match the website
*/
#wpfooter{display:none;}
.twp-page-wrapper a {
	color: #377dff;
	text-decoration: none;
	border-bottom: 2px solid #2cd4d9;
	position: relative;
}

.twp-page-wrapper a:before {
	width: 0;
	position: absolute;
	content: " ";
	border-bottom: 2px solid #377dff;
	transition: all 120ms linear;
	height: 100%;
	top: 0;
}

.twp-page-wrapper a:hover:before {
	width: 100%;
}



/**
 *  twp PAGE BAR
 *  Shown at the top of all admin pages
 */
.twp-page-bar {

	/*max-width:1133px;*/
	background: #fff;
	position: relative;
	box-sizing: border-box;
	padding: 16px 22px;
	margin-top: 20px;
	display: flex;
	align-items: center;
	margin-bottom: 20px;
	border: 1px solid #e4e4e4;
}

.twp-page-bar h3 {
	margin: 0;
	color: #555;
	font-weight: 300;
	border-left: 1px solid rgba(0, 0, 0, 0.1);
	padding: 0 0 0 11px;
	font-size: 15px;
}

.twp-page-bar .logo {
	margin-right: 11px;
}

.twpmu-whitelabel .twp-page-bar h3 {
	border-left: 0;
	padding-left: 0;
}

/**
 *  GENERAL STRUCTURAL ELEMENTS
 *  Used on all pages to create the sidebar and content structure and other
 *  common elements
 */

.twp-page-wrapper * {
	box-sizing: border-box;
}

.twp-page-wrapper {
	display: flex;
	flex-direction: row-reverse;
	margin-top: 30px;
}

.twp-sidebar {
	flex: 0 0 280px;
	width: 280px;
	margin-left: 33px;
}

.twp-main-content {

	/*max-width:820px;*/
	width: 100%;
}

@media screen and (max-width: 1099px) {

	.twp-page-wrapper {
		display: block;
	}

	.twp-sidebar {
		display: block;
		width: 100%;
		margin-left: 0;
		margin-top: 22px;
	}
}

/**
 *  twp BOX
 *  Used all over on the admin, a structure with a deep blue header and
 *  a white content area
 */

.twp-box-title-bar {
	background: #23282d;
	padding: 16px;
	display: block;
	width: 100%;
}

.twp-box-title-bar h3 {
	color: #fff;
	font-weight: 400;
	margin: 0;
	font-size: 14px;
	padding: 0;
}

.twp-box-title-bar__small {
	padding: 11px 16px;
}

.twp-box-title-bar__small h3 {
	font-size: 13px;
}

.twp-box-content {
	background: #fff;
	padding: 22px;
	border: 1px solid #e4e4e4;
	border-top: 0;
}

/**
 *  TYPOGRAPHY
 *  Some basic typography rules on our admin pages
 */

.twp-page-wrapper .mb0 {
	margin-bottom: 0;
}

.twp-page-wrapper .mb6 {
	margin-bottom: 6px;
}

.twp-page-wrapper .mb11 {
	margin-bottom: 11px;
}

.twp-page-wrapper .mb22 {
	margin-bottom: 22px;
}

.twp-page-wrapper .mb33 {
	margin-bottom: 33px;
}

.twp-page-wrapper .mb44 {
	margin-bottom: 44px;
}

.twp-page-wrapper .mr0 {
	margin-right: 0;
}

.twp-page-wrapper .mr6 {
	margin-right: 6px;
}

.twp-page-wrapper .mr11 {
	margin-right: 11px;
}

.twp-page-wrapper .mr22 {
	margin-right: 22px;
}

.twp-page-wrapper .mr33 {
	margin-right: 33px;
}

.twp-page-wrapper .mr44 {
	margin-right: 44px;
}

.twp-page-wrapper p {
	margin: 0 0 22px;
	line-height: 28px;
	font-weight: 300;
	font-size: 16px;
}

.twp-page-wrapper .content > *:last-child {
	margin-bottom: 0;
}

/**
     *  twp BUTTON
     *  Basic buttons styles and progress button addon
    */

.twp-button {
	display: inline-block;
	box-sizing: border-box;
	padding: 11px 22px;
	outline: none;
	border: 2px solid #377dff;
	background-color: #377dff;
	color: #fff;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-size: 14px;
	position: relative;
	overflow: hidden;
	-webkit-appearance: none;
	text-decoration: none;
	cursor: pointer;
	transition: background 200ms linear;
	font-weight: 300;
	border-radius: 100px;
}

.twp-button:hover {
	background: #fff;
	color: #377dff;
}

.twp-button__full {
	text-align: center;
	display: block;
	width: 100%;
}

.twp-button__full-left {
	text-align: left;
	display: block;
	width: 100%;
}

.twp-button__large {
	padding: 22px;
}

.twp-button__white {
	background: #fff;
	color: #888;
}

.twp-button__white:hover {
	background: #f1f1f1;
}

.twp-button .progress {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 12px;
	background-color: transparent;
}

.twp-button .progress-bar {
	height: 12px;
	width: 0%;
	background: rgba(0, 0, 0, 0.25);
}

.twp-button .text {
	display: inline-block;
}

</style>
		<div id="ux_div_portlet_progress" style="display:none;">
			<div id="ux_div_progressbar">
				<div class="progress-bar-position" style="border:1px solid #23282d !important">
					<div class="portlet-progress-bar" style="background: #23282d;padding: 16px;display: block;">
					Generating Migration Files
					<?php
						if ( ! is_rtl() ) {
							?>
							<span style="float:right;">
								<span id="ux_hrs" class="tech-migrator-counter">00</span> <span id="ux_collon" class="tech-migrator-counter">:</span>
								<span id="ux_mins">00</span> :
								<span id="ux_secs">00</span>
							</span>
						<?php
						} else {
						?>
						<span style="float:left;">
							<span id="ux_secs">00</span> :
							<span id="ux_mins">00</span> <span id="ux_collon" class="tech-migrator-counter">:</span>
							<span id="ux_hrs" class="tech-migrator-counter">00</span>
						</span>
						<?php
						}
						?>
					</div>
					<div id="progress" class="progress-bar-width">
						<div id="progress_status" style="width:1%;max-width: 100%;color:#fff;background-color:#a4cd39;text-align: left;">
							1%
						</div>
					</div>
					<div id="uploading_progress" class="tech-migrator-counter">
						<div id="upload_progress" class="progress-bar-width">
							<div id="uploaded_status" style="width:1%;max-width: 100%;color:#fff;background-color:#377dff;text-align: center;">
								1%
							</div>
						</div>
					</div>
					<div id="information" class="progress-info">
						Starting Migration & Compatibility Checking
					</div>
					<div class="portlet-progress-message">
						<p>
							Please do <b>not</b> Cancel or Refresh!
						</p>
					</div>
				</div>
			</div>
		</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
				<li>
					<i class="icon-custom-home"></i>
					<a href="admin.php?page=twp_manage_migrations">
						<?php echo esc_attr( $wp_migration_trulywp ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<a href="admin.php?page=twp_manage_migrations">
						<?php echo esc_attr( $twp_migrations ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<span>
						<?php echo esc_attr( $twp_start_migration ); ?>
					</span>
				</li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="portlet box vivid-green">
					<div class="portlet-title">
						<div class="caption">
							<i class="icon-custom-note"></i>
							<?php echo esc_attr( $twp_start_migration ); ?>
						</div>
					</div>
					<div class="portlet-body form">
						<div class="form-body">
							<strong><?php echo esc_attr( $twp_user_access_message ); ?></strong>
						</div>

					</div>
				</div>
			</div>
		</div>
		<?php
	}
}
